Sales

Get sales

GET
/v3/aftermarket/customers/{customerId}/sales

Retrieves the sales for a customer based on the provided criteria.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

keyword?string

Domain keyword filter

limit?integer

Number of items to return. Minimum value of 1. Maximum value of 1000.

Formatint64
Range1 <= value <= 1000
Default25
offset?integer

Number of items to skip before starting to collect the result set.

Formatint64
Range0 <= value
Default0
order?string

Sorts the result by a selected listing field.

Match^-?[a-z_]([a-zA-Z0-9_.]*)*$
Default"SALE_PRICE_DESC"
Value in"NAME_ASC""NAME_DESC""SALE_PRICE_ASC""SALE_PRICE_DESC""SOLD_AT_ASC""SOLD_AT_DESC""STATUS_ASC""STATUS_DESC"
status?string

Filter for returning sales in particular status. Example query: status=COMPLETED

Value in"AWAITING_AUTH_CODE""AWAITING_PAYEE_UPDATE""AWAITING_TRANSFER_OWNERSHIP""CANCELLED""CANCEL_REQUESTED""COMPLETED""CONFIRMED_TRANSFER""LEASE_FULLY_PAID""PAID_LEASE_INSTALLMENT""PENDING""PENDING_PAYOUT""PENDING_TRANSFER""PENDING_TRANSFER_INSTRUCTIONS""SCHEDULED_PAYOUT""UNKNOWN"
soldAtStartDate?string

Start of date range for filtering sales by when the sale occurred. If neither soldAtStartDate nor soldAtEndDate is provided, defaults to 1 month ago.

Formatdate-time
soldAtEndDate?string

End of date range for filtering sales by when the sale occurred. If neither soldAtStartDate nor soldAtEndDate is provided, defaults to current time.

Formatdate-time

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Successful response containing sales data

application/json
  1. response

Sales contains a set of sales in a result set, with pagination information

sales*array<>

List of sales including status and pricing metadata

pagination*

Pagination information for a result set

Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/sales?soldAtStartDate=2024-01-01T00%3A00%3A00Z&soldAtEndDate=2025-01-01T00%3A00%3A00Z'
Example Response
{  "sales": [    {      "cancelReason": "SELLER_TRANSFER_FAILURE",      "commission": 2000000000,      "name": "example.com",      "salePrice": 2000000000,      "saleTotal": 2000000000,      "soldAt": "string",      "disbursedAt": "string",      "status": "PENDING",      "transactionId": "001d7566-5a43-11e9-82e3-fa163ebaed2e",      "authCode": "ABC123XYZ",      "saleType": "BUYNOW",      "installmentAmount": 10000000,      "nextInstallmentDate": "2024-02-01",      "prevInstallmentDate": "2024-01-01",      "totalInstallments": 12,      "totalInstallmentsPaid": 3    }  ],  "pagination": {    "first": "/v3/aftermarket/customers/my/sales?limit=25&offset=0",    "last": "/v3/aftermarket/customers/my/sales?limit=25&offset=100",    "next": "/v3/aftermarket/customers/my/sales?limit=25&offset=25",    "previous": "/v3/aftermarket/customers/my/sales?limit=25&offset=0",    "total": 101  }}